using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Visualizacion;

namespace Exferia_KairosPRO._4_Vistas.ControlesPersonalizados_DentroPaneles
{
    public partial class CTU_P_Email_Parametro : UserControl
    {
        private int g_int_NumeroObjeto;

        #region Eventos publicos
        public event EventHandler<INTERNO_EventArgs> Boton_P_Departamentos_EmailsDelete_Click;
        public event KeyPressEventHandler TextBox_P_Departamentos_Email_Keypress;
        #endregion

        public string CTU_P_Email_Parametro_VALOR
        {
            get
            {
                return ex_txt_P_Email_Parametro.Text;
            }
        }

        public CTU_P_Email_Parametro(int _int_NumeroObjeto, string _str_Parametro)
        {
            InitializeComponent();

            Repintar.Empezar(this);

            g_int_NumeroObjeto = _int_NumeroObjeto;

            //Cargamos el parametro
            ex_txt_P_Email_Parametro.Text = _str_Parametro;
        }

        private void ex_btn_P_Emails_Parametro_Borrar_Click(object sender, EventArgs e)
        {
            //Para que salte el evento en el otro lado
            EventHandler<INTERNO_EventArgs> temp = Boton_P_Departamentos_EmailsDelete_Click;
            if (temp != null)
                temp(sender, new INTERNO_EventArgs(g_int_NumeroObjeto));
        }

        private void ex_txt_P_Email_Parametro_Exferia_TextBox_Evento_KeyPress(object sender, KeyPressEventArgs e)
        {
            //Para que salte el evento en el otro lado
            KeyPressEventHandler temp = TextBox_P_Departamentos_Email_Keypress;
            if (temp != null)
                temp(sender, e);
        }
    }
}
